DROP TABLE rtd.es_historical_prices;
DROP TABLE rtd.es_last_stock_quotes;
DROP TABLE rtd.es_stock_list;
DROP TABLE rtd.es_stock_quotes_ticks;
DROP TABLE rtd.es_stock_quotes_time;

DELETE FROM rtd.real_time_formulas WHERE table_name LIKE 'es_%';
DELETE FROM rtd.real_time_tables WHERE table_name LIKE 'es_%';

IF NOT EXISTS(SELECT TOP 1 * FROM [rtd].[real_time_formulas]) AND
   NOT EXISTS(SELECT TOP 1 * FROM [rtd].[real_time_tables])
    BEGIN
    DROP TABLE rtd.real_time_formulas;
    DROP TABLE rtd.real_time_tables;
    DROP SCHEMA rtd;
    END;
