-- Use this script to replace Thinkorswim DDE formulas to RTD ones.

-- Note that Thinkorswim can crush with the "pure virtual function call".
-- To fix the issue, replace RTD formulas to DDE back using rtd-to-dde.sql.

-- Options

UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"ASK",[CODE])'                     WHERE RTD_FORMULA = '=TOS|ASK!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"ASK_SIZE",[CODE])'                WHERE RTD_FORMULA = '=TOS|ASK_SIZE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"AX",[CODE])'                      WHERE RTD_FORMULA = '=TOS|AX!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BA_SIZE",[CODE])'                 WHERE RTD_FORMULA = '=TOS|BA_SIZE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BID",[CODE])'                     WHERE RTD_FORMULA = '=TOS|BID!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BID_SIZE",[CODE])'                WHERE RTD_FORMULA = '=TOS|BID_SIZE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BX",[CODE])'                      WHERE RTD_FORMULA = '=TOS|BX!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"CLOSE",[CODE])'                   WHERE RTD_FORMULA = '=TOS|Close!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"COVERED_RETURN",[CODE])'          WHERE RTD_FORMULA = '=TOS|COVERED_RETURN!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"DELTA",[CODE])'                   WHERE RTD_FORMULA = '=TOS|DELTA!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"DESCRIPTION",[CODE])'             WHERE RTD_FORMULA = '=TOS|DESCRIPTION!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"EXTRINSIC",[CODE])'               WHERE RTD_FORMULA = '=TOS|EXTRINSIC!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"GAMMA",[CODE])'                   WHERE RTD_FORMULA = '=TOS|GAMMA!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"HIGH",[CODE])'                    WHERE RTD_FORMULA = '=TOS|HIGH!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"IMPL_VOL",[CODE])'                WHERE RTD_FORMULA = '=TOS|IMPL_VOL!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"INTRINSIC",[CODE])'               WHERE RTD_FORMULA = '=TOS|INTRINSIC!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LAST",[CODE])'                    WHERE RTD_FORMULA = '=TOS|LAST!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LAST_SIZE",[CODE])'               WHERE RTD_FORMULA = '=TOS|LAST_SIZE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LOW",[CODE])'                     WHERE RTD_FORMULA = '=TOS|LOW!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LX",[CODE])'                      WHERE RTD_FORMULA = '=TOS|LX!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MARK",[CODE])'                    WHERE RTD_FORMULA = '=TOS|MARK!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MARK_CHANGE",[CODE])'             WHERE RTD_FORMULA = '=TOS|MARK_CHANGE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[CODE])'     WHERE RTD_FORMULA = '=TOS|MARK_PERCENT_CHANGE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MAX_COVERED_RETURN",[CODE])'      WHERE RTD_FORMULA = '=TOS|MAX_COVERED_RETURN!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"NET_CHANGE",[CODE])'              WHERE RTD_FORMULA = '=TOS|NET_CHANGE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"OPEN",[CODE])'                    WHERE RTD_FORMULA = '=TOS|OPEN!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"OPEN_INT",[CODE])'                WHERE RTD_FORMULA = '=TOS|OPEN_INT!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PERCENT_CHANGE",[CODE])'          WHERE RTD_FORMULA = '=TOS|PERCENT_CHANGE!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PROB_OF_EXPIRING",[CODE])'        WHERE RTD_FORMULA = '=TOS|PROB_OF_EXPIRING!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PROB_OF_TOUCHING",[CODE])'        WHERE RTD_FORMULA = '=TOS|PROB_OF_TOUCHING!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PROB_OTM",[CODE])'                WHERE RTD_FORMULA = '=TOS|PROB_OTM!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"RHO",[CODE])'                     WHERE RTD_FORMULA = '=TOS|RHO!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"THETA",[CODE])'                   WHERE RTD_FORMULA = '=TOS|THETA!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"VEGA",[CODE])'                    WHERE RTD_FORMULA = '=TOS|VEGA!''[CODE]''';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"VOLUME",[CODE])'                  WHERE RTD_FORMULA = '=TOS|VOLUME!''[CODE]''';

-- Stocks

UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"52HIGH",[SYMBOL])'                WHERE RTD_FORMULA = '=TOS|''52HIGH''![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"52LOW",[SYMBOL])'                 WHERE RTD_FORMULA = '=TOS|''52LOW''![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"ASK",[SYMBOL])'                   WHERE RTD_FORMULA = '=TOS|ASK![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"ASK_SIZE",[SYMBOL])'              WHERE RTD_FORMULA = '=TOS|ASK_SIZE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"AX",[SYMBOL])'                    WHERE RTD_FORMULA = '=TOS|AX![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BA_SIZE",[SYMBOL])'               WHERE RTD_FORMULA = '=TOS|BA_SIZE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BACK_EX_MOVE",[SYMBOL])'          WHERE RTD_FORMULA = '=TOS|BACK_EX_MOVE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BACK_VOL",[SYMBOL])'              WHERE RTD_FORMULA = '=TOS|BACK_VOL![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BETA",[SYMBOL])'                  WHERE RTD_FORMULA = '=TOS|BETA![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BID",[SYMBOL])'                   WHERE RTD_FORMULA = '=TOS|BID![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BID_SIZE",[SYMBOL])'              WHERE RTD_FORMULA = '=TOS|BID_SIZE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"BX",[SYMBOL])'                    WHERE RTD_FORMULA = '=TOS|BX![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"CALL_VOLUME_INDEX",[SYMBOL])'     WHERE RTD_FORMULA = '=TOS|CALL_VOLUME_INDEX![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"CLOSE",[SYMBOL])'                 WHERE RTD_FORMULA = '=TOS|CLOSE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"DESCRIPTION",[SYMBOL])'           WHERE RTD_FORMULA = '=TOS|DESCRIPTION![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"DIV",[SYMBOL])'                   WHERE RTD_FORMULA = '=TOS|DIV![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"EPS",[SYMBOL])'                   WHERE RTD_FORMULA = '=TOS|EPS![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"EX_MOVE_DIFF",[SYMBOL])'          WHERE RTD_FORMULA = '=TOS|EX_MOVE_DIFF![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"FRONT_EX_MOVE",[SYMBOL])'         WHERE RTD_FORMULA = '=TOS|FRONT_EX_MOVE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"FRONT_VOL",[SYMBOL])'             WHERE RTD_FORMULA = '=TOS|FRONT_VOL![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"HIGH",[SYMBOL])'                  WHERE RTD_FORMULA = '=TOS|HIGH![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"IMPL_VOL",[SYMBOL])'              WHERE RTD_FORMULA = '=TOS|IMPL_VOL![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LAST",[SYMBOL])'                  WHERE RTD_FORMULA = '=TOS|LAST![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LAST_SIZE",[SYMBOL])'             WHERE RTD_FORMULA = '=TOS|LAST_SIZE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LOW",[SYMBOL])'                   WHERE RTD_FORMULA = '=TOS|LOW![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"LX",[SYMBOL])'                    WHERE RTD_FORMULA = '=TOS|LX![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MARK",[SYMBOL])'                  WHERE RTD_FORMULA = '=TOS|MARK![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MARK_CHANGE",[SYMBOL])'           WHERE RTD_FORMULA = '=TOS|MARK_CHANGE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[SYMBOL])'   WHERE RTD_FORMULA = '=TOS|MARK_PERCENT_CHANGE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"MARKET_CAP",[SYMBOL])'            WHERE RTD_FORMULA = '=TOS|MARKET_CAP![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"NET_CHANGE",[SYMBOL])'            WHERE RTD_FORMULA = '=TOS|NET_CHANGE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"OPEN",[SYMBOL])'                  WHERE RTD_FORMULA = '=TOS|OPEN![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"OPEN_INT",[SYMBOL])'              WHERE RTD_FORMULA = '=TOS|OPEN_INT![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"OPTION_VOLUME_INDEX",[SYMBOL])'   WHERE RTD_FORMULA = '=TOS|OPTION_VOLUME_INDEX![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PE",[SYMBOL])'                    WHERE RTD_FORMULA = '=TOS|PE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PERCENT_CHANGE",[SYMBOL])'        WHERE RTD_FORMULA = '=TOS|PERCENT_CHANGE![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PUT_CALL_RATIO",[SYMBOL])'        WHERE RTD_FORMULA = '=TOS|PUT_CALL_RATIO![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"PUT_VOLUME_INDEX",[SYMBOL])'      WHERE RTD_FORMULA = '=TOS|PUT_VOLUME_INDEX![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"SHARES",[SYMBOL])'                WHERE RTD_FORMULA = '=TOS|SHARES![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"STRENGTH_METER",[SYMBOL])'        WHERE RTD_FORMULA = '=TOS|STRENGTH_METER![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"VOL_DIFF",[SYMBOL])'              WHERE RTD_FORMULA = '=TOS|VOL_DIFF![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"VOL_INDEX",[SYMBOL])'             WHERE RTD_FORMULA = '=TOS|VOL_INDEX![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"VOLUME",[SYMBOL])'                WHERE RTD_FORMULA = '=TOS|VOLUME![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"WEIGHTED_BACK_VOL",[SYMBOL])'     WHERE RTD_FORMULA = '=TOS|WEIGHTED_BACK_VOL![SYMBOL]';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=RTD("tos.rtd",,"YIELD",[SYMBOL])'                 WHERE RTD_FORMULA = '=TOS|YIELD![SYMBOL]';
