-- Use this script to replace Thinkorswim RTD formulas to DDE ones.

-- For example, this helps when Thinkorswim crushes with the "pure virtual function call".

-- Options

UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|ASK!''[CODE]'''                               WHERE RTD_FORMULA = '=RTD("tos.rtd",,"ASK",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|ASK_SIZE!''[CODE]'''                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"ASK_SIZE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|AX!''[CODE]'''                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"AX",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BA_SIZE!''[CODE]'''                           WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BA_SIZE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BID!''[CODE]'''                               WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BID",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BID_SIZE!''[CODE]'''                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BID_SIZE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BX!''[CODE]'''                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BX",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|Close!''[CODE]'''                             WHERE RTD_FORMULA = '=RTD("tos.rtd",,"CLOSE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|COVERED_RETURN!''[CODE]'''                    WHERE RTD_FORMULA = '=RTD("tos.rtd",,"COVERED_RETURN",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|DELTA!''[CODE]'''                             WHERE RTD_FORMULA = '=RTD("tos.rtd",,"DELTA",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|DESCRIPTION!''[CODE]'''                       WHERE RTD_FORMULA = '=RTD("tos.rtd",,"DESCRIPTION",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|EXTRINSIC!''[CODE]'''                         WHERE RTD_FORMULA = '=RTD("tos.rtd",,"EXTRINSIC",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|GAMMA!''[CODE]'''                             WHERE RTD_FORMULA = '=RTD("tos.rtd",,"GAMMA",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|HIGH!''[CODE]'''                              WHERE RTD_FORMULA = '=RTD("tos.rtd",,"HIGH",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|IMPL_VOL!''[CODE]'''                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"IMPL_VOL",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|INTRINSIC!''[CODE]'''                         WHERE RTD_FORMULA = '=RTD("tos.rtd",,"INTRINSIC",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LAST!''[CODE]'''                              WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LAST",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LAST_SIZE!''[CODE]'''                         WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LAST_SIZE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LOW!''[CODE]'''                               WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LOW",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LX!''[CODE]'''                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LX",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MARK!''[CODE]'''                              WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MARK",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MARK_CHANGE!''[CODE]'''                       WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MARK_CHANGE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MARK_PERCENT_CHANGE!''[CODE]'''               WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MAX_COVERED_RETURN!''[CODE]'''                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MAX_COVERED_RETURN",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|NET_CHANGE!''[CODE]'''                        WHERE RTD_FORMULA = '=RTD("tos.rtd",,"NET_CHANGE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|OPEN!''[CODE]'''                              WHERE RTD_FORMULA = '=RTD("tos.rtd",,"OPEN",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|OPEN_INT!''[CODE]'''                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"OPEN_INT",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PERCENT_CHANGE!''[CODE]'''                    WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PERCENT_CHANGE",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PROB_OF_EXPIRING!''[CODE]'''                  WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PROB_OF_EXPIRING",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PROB_OF_TOUCHING!''[CODE]'''                  WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PROB_OF_TOUCHING",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PROB_OTM!''[CODE]'''                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PROB_OTM",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|RHO!''[CODE]'''                               WHERE RTD_FORMULA = '=RTD("tos.rtd",,"RHO",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|THETA!''[CODE]'''                             WHERE RTD_FORMULA = '=RTD("tos.rtd",,"THETA",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|VEGA!''[CODE]'''                              WHERE RTD_FORMULA = '=RTD("tos.rtd",,"VEGA",[CODE])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|VOLUME!''[CODE]'''                            WHERE RTD_FORMULA = '=RTD("tos.rtd",,"VOLUME",[CODE])';

-- Stocks

UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|''52HIGH''![SYMBOL]'                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"52HIGH",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|''52LOW''![SYMBOL]'                           WHERE RTD_FORMULA = '=RTD("tos.rtd",,"52LOW",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|ASK![SYMBOL]'                                 WHERE RTD_FORMULA = '=RTD("tos.rtd",,"ASK",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|ASK_SIZE![SYMBOL]'                            WHERE RTD_FORMULA = '=RTD("tos.rtd",,"ASK_SIZE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|AX![SYMBOL]'                                  WHERE RTD_FORMULA = '=RTD("tos.rtd",,"AX",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BA_SIZE![SYMBOL]'                             WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BA_SIZE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BACK_EX_MOVE![SYMBOL]'                        WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BACK_EX_MOVE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BACK_VOL![SYMBOL]'                            WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BACK_VOL",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BETA![SYMBOL]'                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BETA",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BID![SYMBOL]'                                 WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BID",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BID_SIZE![SYMBOL]'                            WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BID_SIZE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|BX![SYMBOL]'                                  WHERE RTD_FORMULA = '=RTD("tos.rtd",,"BX",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|CALL_VOLUME_INDEX![SYMBOL]'                   WHERE RTD_FORMULA = '=RTD("tos.rtd",,"CALL_VOLUME_INDEX",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|CLOSE![SYMBOL]'                               WHERE RTD_FORMULA = '=RTD("tos.rtd",,"CLOSE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|DESCRIPTION![SYMBOL]'                         WHERE RTD_FORMULA = '=RTD("tos.rtd",,"DESCRIPTION",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|DIV![SYMBOL]'                                 WHERE RTD_FORMULA = '=RTD("tos.rtd",,"DIV",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|EPS![SYMBOL]'                                 WHERE RTD_FORMULA = '=RTD("tos.rtd",,"EPS",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|EX_MOVE_DIFF![SYMBOL]'                        WHERE RTD_FORMULA = '=RTD("tos.rtd",,"EX_MOVE_DIFF",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|FRONT_EX_MOVE![SYMBOL]'                       WHERE RTD_FORMULA = '=RTD("tos.rtd",,"FRONT_EX_MOVE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|FRONT_VOL![SYMBOL]'                           WHERE RTD_FORMULA = '=RTD("tos.rtd",,"FRONT_VOL",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|HIGH![SYMBOL]'                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"HIGH",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|IMPL_VOL![SYMBOL]'                            WHERE RTD_FORMULA = '=RTD("tos.rtd",,"IMPL_VOL",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LAST![SYMBOL]'                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LAST",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LAST_SIZE![SYMBOL]'                           WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LAST_SIZE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LOW![SYMBOL]'                                 WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LOW",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|LX![SYMBOL]'                                  WHERE RTD_FORMULA = '=RTD("tos.rtd",,"LX",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MARK![SYMBOL]'                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MARK",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MARK_CHANGE![SYMBOL]'                         WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MARK_CHANGE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MARK_PERCENT_CHANGE![SYMBOL]'                 WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|MARKET_CAP![SYMBOL]'                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"MARKET_CAP",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|NET_CHANGE![SYMBOL]'                          WHERE RTD_FORMULA = '=RTD("tos.rtd",,"NET_CHANGE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|OPEN![SYMBOL]'                                WHERE RTD_FORMULA = '=RTD("tos.rtd",,"OPEN",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|OPEN_INT![SYMBOL]'                            WHERE RTD_FORMULA = '=RTD("tos.rtd",,"OPEN_INT",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|OPTION_VOLUME_INDEX![SYMBOL]'                 WHERE RTD_FORMULA = '=RTD("tos.rtd",,"OPTION_VOLUME_INDEX",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PE![SYMBOL]'                                  WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PERCENT_CHANGE![SYMBOL]'                      WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PERCENT_CHANGE",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PUT_CALL_RATIO![SYMBOL]'                      WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PUT_CALL_RATIO",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|PUT_VOLUME_INDEX![SYMBOL]'                    WHERE RTD_FORMULA = '=RTD("tos.rtd",,"PUT_VOLUME_INDEX",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|SHARES![SYMBOL]'                              WHERE RTD_FORMULA = '=RTD("tos.rtd",,"SHARES",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|STRENGTH_METER![SYMBOL]'                      WHERE RTD_FORMULA = '=RTD("tos.rtd",,"STRENGTH_METER",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|VOL_DIFF![SYMBOL]'                            WHERE RTD_FORMULA = '=RTD("tos.rtd",,"VOL_DIFF",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|VOL_INDEX![SYMBOL]'                           WHERE RTD_FORMULA = '=RTD("tos.rtd",,"VOL_INDEX",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|VOLUME![SYMBOL]'                              WHERE RTD_FORMULA = '=RTD("tos.rtd",,"VOLUME",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|WEIGHTED_BACK_VOL![SYMBOL]'                   WHERE RTD_FORMULA = '=RTD("tos.rtd",,"WEIGHTED_BACK_VOL",[SYMBOL])';
UPDATE RTD.REAL_TIME_FORMULAS SET RTD_FORMULA = '=TOS|YIELD![SYMBOL]'                               WHERE RTD_FORMULA = '=RTD("tos.rtd",,"YIELD",[SYMBOL])';
